# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Perinci/Access/Schemeless.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(parent.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_version 0.003
%define module_name Perinci-Access-Schemeless-Hash
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: Subclass of Perinci::Access::Schemeless which gets lists of entities (and metadata) from hash
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Perinci-Access-Schemeless-Hash

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This subclass of the Perinci::Access::Schemeless manpage gets lists of code entities
(currently only packages and functions) from a hash instead of from listing Perl
packages on the filesystem. It can also retrieve the Rinci manpage metadata from said
hash instead of from `%%SPEC' package variables.

As shown in the example in Synopsis, the hash's keys must be absolute URI path.
For package entities, the path must end with slash. The hash's values are
arrayref where the first element of the array is the Rinci metadata.

=for Pod::Coverage ^(.+)$
%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/P*

%changelog
* Tue Sep 06 2016 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- initial import by package builder

